astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v1.3.3 »
- open

# open

`asdf.``open` = <bound method AsdfFile.open of <class 'asdf.asdf.AsdfFile'>>

  Open an existing ASDF file.

  Parameters:

  fd : string or file-like object

  > May be a string `file` or `http` URI, or a Python file-like object.

  uri : string, optional

  > The URI of the file. Only required if the URI can not be automatically determined from `fd`.

  mode : string, optional

  > The mode to open the file in. Must be `r` (default) or `rw`.

  validate_checksums : bool, optional

  > If `True`, validate the blocks against their checksums. Requires reading the entire file, so disabled by default.

  extensions : list of AsdfExtension

  > A list of extensions to the ASDF to support when reading and writing ASDF files. See `asdftypes.AsdfExtension` for more information.

  do_not_fill_defaults : bool, optional

  > When `True`, do not fill in missing default values.

  ignore_version_mismatch : bool, optional

  > When `True`, do not raise warnings for mismatched schema versions. Set to `True` by default.

  ignore_unrecognized_tag : bool, optional

  > When `True`, do not raise warnings for unrecognized tags. Set to `False` by default.

  copy_arrays : bool, optional

  > When `False`, when reading files, attempt to memmap underlying data arrays when possible.

  Returns:

  asdffile : AsdfFile

  > The new AsdfFile object.